<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::OverlayManager Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#1a73ce8b360346d2174a7be61d2ead7d">_queueOverlaysForRendering</a>(Camera *cam, RenderQueue *pQueue, Viewport *vp)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#8d755456d249ff80d469e9c3944d22ed">addOverlayElementFactory</a>(OverlayElementFactory *elemFactory)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ef7dbde8bb2ecf9b8c44bd8974735c9f">cloneOverlayElementFromTemplate</a>(const String &amp;templateName, const String &amp;instanceName)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#b6eb3dcc484ba5b06904ab2fb6b1aa23">create</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#58166a773d27c22437323e8ef710406b">createOverlayElement</a>(const String &amp;typeName, const String &amp;instanceName, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#093ac041b9750ba4d915b6c548d278aa">createOverlayElementFromFactory</a>(const String &amp;typeName, const String &amp;instanceName)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#242cf57b312d0d77e4023ce71be9aca1">createOverlayElementFromTemplate</a>(const String &amp;templateName, const String &amp;typeName, const String &amp;instanceName, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#1bbac03496a15f8f9603b68e80070c2c">createOverlayElementImpl</a>(const String &amp;typeName, const String &amp;instanceName, ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#490ccc24cd1eda279e0bf349273598e8">destroy</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#9bb21fa10ec0c6e77b5eff13a9dccbe8">destroy</a>(Overlay *overlay)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#e3677704d31fd65c47e8f1f27c38fae3">destroyAll</a>(void)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#24f13f48bd25f6792da795fe1c358bef">destroyAllOverlayElements</a>(bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#1b8f8ee064b396bce89ac6160cbf797b">destroyAllOverlayElementsImpl</a>(ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#05a2779ad3df1e83ce3bac230312e6ae">destroyOverlayElement</a>(const String &amp;instanceName, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#016873becb2951e90e8870203f036621">destroyOverlayElement</a>(OverlayElement *pInstance, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#d63ffecb48bd1e95fa71ff237de8f05d">destroyOverlayElementImpl</a>(const String &amp;instanceName, ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#40dda4b2eff03a51a5bfeb8de9b29edf">destroyOverlayElementImpl</a>(OverlayElement *pInstance, ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#47343d4ae891d8e1bf676c8c39104be4">FactoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#7d3ddc6d094b72e4b6d0f74376a118a3">getByName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ae9461f3bfd36b651927933f25f58f90">getElementMap</a>(bool isTemplate)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#0fe98c5950e94bb2bbad458d751e817e">getLoadingOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#fcece7239c9ef7cb83e55d05870f797d">getOverlayElement</a>(const String &amp;name, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#3cf68206137e3cc2b2230096dc6d4698">getOverlayElementImpl</a>(const String &amp;name, ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#140ab8e9bc0e307c28b335406e45cef6">getOverlayIterator</a>(void)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#737c0c7db5f2d0049420c494129196c9">getScriptPatterns</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#de527bdaf5edb3d9d080f3cf292cfca5">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ce76368f6fa68ae0dad4547c7f4be25c">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#9e6ec516d1d52c5291d5f943fc843ab2">getTemplateIterator</a>()</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#5643de1c418c05bc50fea7c003a21a67">getViewportAspectRatio</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#57af3f65687201de011e7e64552d028e">getViewportHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#30a74f2a6d609220b53007a19c0579d5">getViewportWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ed08da01b1d30c9ec612500b5ece35b9">hasViewportChanged</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#f80970f61eb0d6d20ec462f95f4e659a">isTemplate</a>(String strName) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#8943e6c383c1332091c591ec3fb53be3">LoadedScripts</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#dfd58dac2fb2627db482c02a618fed5b">mFactories</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#f9d93d29680706dbf485bdd6f797e199">mInstances</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#516490c9c5ff818a521520259586d0a3">mLastViewportHeight</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#04e5656f23bd72e781bbc4bf83ab38bc">mLastViewportWidth</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#15d8218b76f778c37940a898f51acb37">mLoadedScripts</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a302492cbd16256240d4887440ec7bbb">mOverlayMap</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#04a9c072c6106a1a848b0a47c40a930f">mScriptPatterns</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#8c29379ab04930b44b4d4cd7d4ed342f">mTemplates</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#e10fee3d54d650aea1472151e7e3214f">mViewportDimensionsChanged</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#f2079b7b61e8df96d67f852aa6de7dac">OverlayManager</a>()</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#1def2dea3aa2479b850b699c2c73e025">OverlayMap</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#1d38898d1d08e945f186e2043444588d">OverlayMapIterator</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#af0b5faf59a556af71ef7b4b887d5381">parseAttrib</a>(const String &amp;line, Overlay *pOverlay)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#b3fbeaf03da365270682e46a3ae13519">parseChildren</a>(DataStreamPtr &amp;chunk, const String &amp;line, Overlay *pOverlay, bool isTemplate, OverlayContainer *parent=NULL)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#fdce6f04e2e0097002caa4e3c40d3ecf">parseElementAttrib</a>(const String &amp;line, Overlay *pOverlay, OverlayElement *pElement)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#96e73cb47ca449c26db0d75dc6813d42">parseNewElement</a>(DataStreamPtr &amp;chunk, String &amp;elemType, String &amp;elemName, bool isContainer, Overlay *pOverlay, bool isTemplate, String templateName=String(&quot;&quot;), OverlayContainer *container=0)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ceba4bfe36019ec756be252be387defc">parseScript</a>(DataStreamPtr &amp;stream, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#e17f13ae9a34814b1c0ef76f1ae33ee3">skipToNextCloseBrace</a>(DataStreamPtr &amp;chunk)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#37796a5f2868d6aa127dcbd16fe1764a">skipToNextOpenBrace</a>(DataStreamPtr &amp;chunk)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#8121ac9b766f9055bf52f5a30d52bd42">TemplateIterator</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#1cd64a87fb0ab23c3163af27989d8005">~OverlayManager</a>()</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ScriptLoader.html#d7758f66fa9246639426f3044478f709">~ScriptLoader</a>()</td><td><a class="el" href="classOgre_1_1ScriptLoader.html">Ogre::ScriptLoader</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:11 2008
</p>
</body>
</html>
